fulfillment-associate-stores-patch-one¶
Source¶
Repository:
jef-systems/jef-fulfillment-associate-backendSource Run ID:
25102000534Source SHA:
c226ca62ef6b026753728d0bc8bc0d132f27115dModule:
fulfillment-associateDocumentation Scope:
asyncLambda:
jef-fulfillment-associate-patch-9
Endpoint¶
API Name:
jef-fulfillment-associateAction Name:
patchMethod:
PATCHScope Label:
AsyncResource Path:
/fulfillment-associate-stores-patch-oneComplete Endpoint:
https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-patch-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-patch-9curl payload mode:
json_body
API Gateway Description¶
Function: jef-fulfillment-associate-patch-9
Module: jef-fulfillment-associate
Action: patch
Method: PATCH
Invocation Mode: ASYNC
Resource Path: /fulfillment-associate-stores-patch-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-fulfillment-associate-stores
Payload Example:
- pk: store-001
- id: store-001
- store_number: 001
- store_name: Main Store
- branch_name: Main Branch
- store_type: retail
- receipt_header_name: JEF Store
- receipt_header_subtitle: Main Branch
- address_line_1: Sample Street
- address_line_2:
- barangay: Sample Barangay
- city_municipality: Bago City
- province: Negros Occidental
- postal_code: 6101
- contact_number: 09171234567
- email: [email protected]
- manager_name: Store Manager
- can_fulfill_orders: True
- can_receive_transfers: True
- is_active: True
- notes:
- created_at: 2026-04-29T09:00:00+08:00
- updated_at: 2026-04-29T09:00:00+08:00
- idempotency_key: store-001-20260429
Payload Schema:
- pk: string-{id}
- id: string
- store_number: string
- store_name: string
- branch_name: string
- store_type: string
- receipt_header_name: string
- receipt_header_subtitle: string
- address_line_1: string
- address_line_2: string
- barangay: string
- city_municipality: string
- province: string
- postal_code: string
- contact_number: string
- email: string
- manager_name: string
- can_fulfill_orders: boolean
- can_receive_transfers: boolean
- is_active: boolean
- notes: string
- created_at: string
- updated_at: string
- idempotency_key: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "store-001",
"id": "store-001",
"store_number": "001",
"store_name": "Main Store",
"branch_name": "Main Branch",
"store_type": "retail",
"receipt_header_name": "JEF Store",
"receipt_header_subtitle": "Main Branch",
"address_line_1": "Sample Street",
"address_line_2": "",
"barangay": "Sample Barangay",
"city_municipality": "Bago City",
"province": "Negros Occidental",
"postal_code": "6101",
"contact_number": "09171234567",
"email": "[email protected]",
"manager_name": "Store Manager",
"can_fulfill_orders": "True",
"can_receive_transfers": "True",
"is_active": "True",
"notes": "",
"created_at": "2026-04-29T09:00:00+08:00",
"updated_at": "2026-04-29T09:00:00+08:00",
"idempotency_key": "store-001-20260429"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X PATCH "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"store-001\", \"id\": \"store-001\", \"store_number\": \"001\", \"store_name\": \"Main Store\", \"branch_name\": \"Main Branch\", \"store_type\": \"retail\", \"receipt_header_name\": \"JEF Store\", \"receipt_header_subtitle\": \"Main Branch\", \"address_line_1\": \"Sample Street\", \"address_line_2\": \"\", \"barangay\": \"Sample Barangay\", \"city_municipality\": \"Bago City\", \"province\": \"Negros Occidental\", \"postal_code\": \"6101\", \"contact_number\": \"09171234567\", \"email\": \"[email protected]\", \"manager_name\": \"Store Manager\", \"can_fulfill_orders\": true, \"can_receive_transfers\": true, \"is_active\": true, \"notes\": \"\", \"created_at\": \"2026-04-29T09:00:00+08:00\", \"updated_at\": \"2026-04-29T09:00:00+08:00\", \"idempotency_key\": \"store-001-20260429\"}"
PowerShell curl¶
curl.exe -X PATCH "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "store-001", "id": "store-001", "store_number": "001", "store_name": "Main Store", "branch_name": "Main Branch", "store_type": "retail", "receipt_header_name": "JEF Store", "receipt_header_subtitle": "Main Branch", "address_line_1": "Sample Street", "address_line_2": "", "barangay": "Sample Barangay", "city_municipality": "Bago City", "province": "Negros Occidental", "postal_code": "6101", "contact_number": "09171234567", "email": "[email protected]", "manager_name": "Store Manager", "can_fulfill_orders": true, "can_receive_transfers": true, "is_active": true, "notes": "", "created_at": "2026-04-29T09:00:00+08:00", "updated_at": "2026-04-29T09:00:00+08:00", "idempotency_key": "store-001-20260429"}'